body{
    background-color: #f4f6f8;
    max-width: 1000px;
    margin: 0 auto;
    padding: 30px;
}

h1{
    text-align: center;
    color: #333333;
}

.filtros{
    display: flex;
    gap: 10px;
    margin-bottom: 25px;
}

.filtros input,select{
    border: 1px solid rgb(189, 189, 189);
    padding: 12px;
    /* box-shadow: 1px 1px 5px rgb(170, 170, 170); */
}

.filtros input{
    flex: 1;
    min-width: 250px;
}


.card {
    background-color: #FFFFFF;
    border-radius: 12px;
    padding: 16px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.08);
    transition: 0.2s;
}

.card:hover {
    transform: translateY(-4px);
}

.listaProdutos {
    display: grid;
    /* grid-template-columns: define quantas colunas vai ter */
    /* repeat -> repete um padrão de colunas */
    /* auto-fit -> cria o máximo de colunas que couberem no espaço da tela */
    grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
    gap: 20px;
}

.card h2 {
    font-size: 18px;
    color: #222222;
}

.card p {
    color: #666666;
}

.preco {
    color: #0A7A2F;
    font-weight: bold; /* peso da fonte (negrito)*/
    font-size: 18px;
}

.mensagem {
    /* controla em quais colunas o elemento vai ficar */
    /* 1 -> começa na primeira linha da coluna */
    /* -1 -> vai até a última linha da coluna */
    /* vai até o final, não importa quantas colunas existam */
    grid-column: 1 / -1;
    text-align: center;
    color: #888888;
    font-size: 18px;
}